#include<iostream>
#include<conio.h>
using namespace std;
class SquareClass
{
	private :
		double Masahat, Mohit;
	public :
		double Zel;
		void Calculate()
		{
			Masahat = Zel * Zel;
			Mohit = Zel * 4;
		}
		double GetMasahat()
		{
			return Masahat;
		}
		double GetMohit()
		{
			return Mohit;
		}
};
int main()
{
	//tarife pointer
	SquareClass *A;
	//gereftane fazaye hafeze baraye pointer ha
	A = new SquareClass;
	//pardazesh barname
	cout << "Tole Zel-e morabae ra vared konid : ";
	cin >> A->Zel;
	A->Calculate();
	cout << endl << "Masahat = " << A->GetMasahat() << endl << "Mohit = " << A->GetMohit() << endl;
	//azad sazi fazaye hafeze baraye pointer ha
	delete A;
	getch();
}

